> ## Documentation Index
> Fetch the complete documentation index at: https://docs.theauthapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch users



## OpenAPI

````yaml patch /users/{id}
openapi: 3.0.0
info:
  title: Auth API
  description: Auth API swagger spec
  version: 0.3.4
  contact: {}
servers:
  - url: https://api.theauthapi.com
security: []
tags:
  - name: auth_api_v1
    description: ''
paths:
  /users/{id}:
    patch:
      operationId: UsersController_updateUser
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    UpdateUserDto:
      type: object
      properties:
        name:
          type: string
      required:
        - name

````